<?php


namespace App\ViewModels\Especialidade\EspecialidadeRegistrationViewModel;

use App\Utils\Builder;

class EspecialidadeRegistrationViewModelBuilder implements Builder
{

    protected $descricao;

    public function setDescricao(string $descricao) : EspecialidadeRegistrationViewModelBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build() : EspecialidadeRegistrationViewModel
    {
        $especialidade_registration_vm = New EspecialidadeRegistrationViewModel();
        $especialidade_registration_vm->setDescricao($this->descricao);
        return $especialidade_registration_vm;
    }


}